This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 474689 - relocation R_X86_64_32 against `a local symbol' can not be used when making a shared object
relocation R_X86_64_32 against `a local symbol' can not be used when making a...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mysql (Show other bugs)
4.7
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Tom Lane
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-04 16:01 EST by Thomas Baumann
Modified: 2013-07-02 23:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:55:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Baumann 2008-12-04 16:01:58 EST
Description of problem:

libmysqlclient in mysql 4.1.22-2.el4.x86_64 does not contain correct symbols
as it seems the library is compiled in wrong mode

See also http://bugs.mysql.com/bug.php?id=18091

Version-Release number of selected component (if applicable):

4.1.22-2.el4.x86_64 

How reproducible:

When compiling PHP5 it needs the mysql library.

/bin/sh /home/builder/rpm/BUILD/php-5.2.6/build-cgi/libtool --silent --preserve-dup-deps --mode=link gcc -DPHP_ATOM_INC -I/home/builder/rpm/BUILD/php-5.2.6/build-cgi/include -I/home/builder/rpm/BUILD/php-5.2.6/build-cgi/main -I/home/builder/rpm/BUILD/php-5.2.6 -I/usr/include/libxml2 -I/usr/kerberos/include -I/home/builder/rpm/BUILD/php-5.2.6/build-cgi/ext/date/lib -I/home/builder/rpm/BUILD/php-5.2.6/ext/date/lib -I/usr/include/freetype2 -I/usr/include/imap -I/home/builder/rpm/BUILD/php-5.2.6/ext/mbstring/oniguruma -I/home/builder/rpm/BUILD/php-5.2.6/build-cgi/ext/mbstring/oniguruma -I/home/builder/rpm/BUILD/php-5.2.6/ext/mbstring/libmbfl -I/home/builder/rpm/BUILD/php-5.2.6/build-cgi/ext/mbstring/libmbfl -I/home/builder/rpm/BUILD/php-5.2.6/ext/mbstring/libmbfl/mbfl -I/home/builder/rpm/BUILD/php-5.2.6/build-cgi/ext/mbstring/libmbfl/mbfl -I/usr/include/freetds -I/usr/include/mysql -I/usr/include/ncurses -I/usr/include/pspell -I/home/builder/rpm/BUILD/php-5.2.6/build-cgi/TSRM -I/home/builder/rpm/BUILD/php-5.2.6/build-cgi/Zend -I/home/builder/rpm/BUILD/php-5.2.6/main -I/home/builder/rpm/BUILD/php-5.2.6/Zend -I/home/builder/rpm/BUILD/php-5.2.6/TSRM -I/home/builder/rpm/BUILD/php-5.2.6/build-cgi/    -I/usr/include -O2 -g -pipe -m64 -fno-strict-aliasing -fPIC -L/usr/lib64/mysql   -o ext/mysqli/mysqli.la -export-dynamic -avoid-version -prefer-pic -module -rpath /home/builder/rpm/BUILD/php-5.2.6/build-cgi/modules -L/usr/kerberos/lib -L/usr/kerberos/lib64 ext/mysqli/mysqli.lo ext/mysqli/mysqli_api.lo ext/mysqli/mysqli_prop.lo ext/mysqli/mysqli_nonapi.lo ext/mysqli/mysqli_fe.lo ext/mysqli/mysqli_report.lo ext/mysqli/mysqli_repl.lo ext/mysqli/mysqli_driver.lo ext/mysqli/mysqli_warning.lo ext/mysqli/mysqli_exception.lo ext/mysqli/mysqli_embedded.lo -L/usr/lib/mysql -lmysqlclient -lz -lcrypt -lnsl -lm -lssl -lcrypto
/usr/bin/ld: /usr/lib64/mysql/libmysqlclient.a(libmysql.o): relocation R_X86_64_32 against `a local symbol' can not be used when making a shared object; recompile with -fPIC
/usr/lib64/mysql/libmysqlclient.a: could not read symbols: Bad value
collect2: ld returned 1 exit status
make: *** [ext/mysql/mysql.la] Error 1
make: *** Waiting for unfinished jobs....
/usr/bin/ld: /usr/lib64/mysql/libmysqlclient.a(libmysql.o): relocation R_X86_64_32 against `a local symbol' can not be used when making a shared object; recompile with -fPIC
/usr/lib64/mysql/libmysqlclient.a: could not read symbols: Bad value
collect2: ld returned 1 exit status
make: *** [ext/mysqli/mysqli.la] Error 1

Additional info:

The problem does not occur with mysql-4.1.20-2.RHEL4.1.0.1

Reported by

tiri Limited & Co. KG
Thomas Baumann
Johann-Adolf-Hasse-Str. 2b
21493 Schwarzenbek
http://www.tiri.li
Comment 1 Jiri Pallich 2012-06-20 11:55:21 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.